/**
 Theme Name: All-in-One Podcasting
 Author: Team AIOPodcasting
 Author URI: https://aiopodcasting.com
 Description: A custom website theme for aiopodcasting.com
 Version: 1.0.0
 License: GNU General Public License v2 or later
 License URI: http://www.gnu.org/licenses/gpl-2.0.html
 Text Domain: all-in-one-podcasting
 Template: astra
 */

/* Global */
ul {
    list-style: circle;
}

.wp-block-list li {
	margin: 8px 0;
}

.wp-block-list li.aiopod-list-unstyled {
	list-style: none;
}

.wp-block-list li.aiopod-list-unstyled-link a {
	text-decoration: none;
}

.wp-block-list li.aiopod-list-unstyled-link a:hover {
    text-decoration: underline;
}

/* Logo */
.ast-logo-title-inline .site-logo-img {
	padding-right: 0.5em;
}

/* Menu Highlight */
@media (min-width: 921px) {
	.menu-highlight .menu-text {
		border: 2px solid var(--ast-global-color-5);
		border-radius: 20px;
		padding: 10px 30px;
		line-height: 1;
	}

	.menu-highlight:hover .menu-text {
		background-color: var(--ast-global-color-5);
		color: var(--ast-global-color-1);
	}
}

/* Mobile Menu */
.ast-header-break-point .main-header-bar-navigation .menu-item-has-children > .ast-menu-toggle {
	right: 26px;
	border-radius: 0;
	box-shadow: none;
}

.ast-header-break-point .ast-icon.icon-arrow svg {
	margin-left: 0;
}

/* Breadcrumbs */
.ast-breadcrumbs-wrapper strong {
	font-weight: normal;
}

/* Hero Banner Video */
.hero-banner-video {
	box-shadow: 0 2px 5px -1px #00000070;
    border-radius: 5px;
	overflow: hidden;
}

.wp-embed-responsive .hero-banner-video.wp-has-aspect-ratio .wp-block-embed__wrapper:before {
	display: none;
}

/* Features Grid */
.features-grid .wp-block-uagb-info-box {
	padding: 30px 20px 30px 20px;
	background-color: #fff;
	border-radius: 12px;
	box-shadow: 0px 0px 30px 0px rgba(15, 18, 19, 0.05);
}

/* Freemius Checkout */
.freemius-checkout {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
    gap: 8px;
}

.freemius-checkout select {
    flex-basis: 170px;
	flex-grow: 1;
}

.freemius-checkout button {	
    flex-basis: 120px;
	flex-grow: 1;
}

/* Pricing Table */
.pricing-table {
	overflow-x: auto;
}

.pricing-table table {
	border-top: 0;
	border-left: 0;	
}

.pricing-table td {
	padding: 1.5em 1em;
}

.pricing-table h4,
.pricing-table h6 {
	margin-bottom: 0;
}

.pricing-table .subheader-row {
	background-color: var(--ast-global-color-4);
}

.pricing-table .first-col {
	border-left: 1px solid var(--ast-border-color);
}

.pricing-table .second-col,
.pricing-table .third-col,
.pricing-table .fourth-col {
	text-align: center;
}

.pricing-table .first-row .first-col {
	border-left: 0;
}

.pricing-table .first-row .second-col,
.pricing-table .first-row .third-col,
.pricing-table .first-row .fourth-col {
	border-top: 1px solid var(--ast-border-color);
}

.pricing-table .tick {
	color: green;
}

.pricing-table .x-mark {
	color: red;
}

@media (max-width: 976px) {
	.pricing-table td {
	    padding: 0.75em;
    }

    .pricing-table h4,
    .pricing-table h6 {
        font-size: 0.9rem;
    }
	
    .pricing-table svg {
        width: 24px;
        height: 24px;
    }
}

/* Contact Form */
.wpforms-container .wpforms-field-label {
	margin-bottom: 8px;
}

.wpforms-container label.wpforms-error {
	margin-top: 8px;
}

/* Newsletter Form */
.mc4wp-form-fields {
    display: flex;  
    flex-wrap: wrap;
	align-items: center;
    gap: 8px;
}

.mc4wp-form-fields .mc4wp-field-fname,
.mc4wp-form-fields .mc4wp-field-lname {	
    flex-basis: 180px;	
	flex-grow: 1;
	border-radius: 3px;
	height: 100%;
}

.mc4wp-form-fields .mc4wp-field-email {	
    flex-basis: 240px;
	flex-grow: 4;
	border-radius: 3px;
	height: 100%;
}

.mc4wp-form-fields .mc4wp-field-submit {	
    flex-basis: 80px;	
	flex-grow: 1;
	align-self: stretch;
	background-color: var(--ast-global-color-2);
}

.mc4wp-form-fields .mc4wp-field-submit:hover {	
	background-color: var(--ast-global-color-3);
}

/* Ajax Search Form */
#aiopod-search-wrapper {
    position: relative;
}

#aiopod-search-input-wrapper {
    position: relative;
}

#aiopod-search-input { 
    border: 0;
    border-radius: 3px;
    box-shadow: 0 2px 4px 0 rgb( 0 0 0/5% );
    padding: 20px;
    padding-left: 55px;
    font-size: 16px;
    width: 100%;
    height: inherit;
}

#aiopod-search-input::placeholder {
    font-size: 1.1em;
}

@media (max-width: 760px) {
    #aiopod-search-input {
        padding: 15px;
        padding-left: 50px;
    }
}

#aiopod-search-icon {
    position: absolute;  
    top: 50%;
    left: 16px;
    margin-top: -10px;
    width: 20px;
    height: 20px;
}

.aiopod-search-loading-animation {
    position: absolute;
    top: 30%;
    left: -8px;
    width: 70px;
    text-align: center;
}

.aiopod-search-loading-animation > div {
    display: inline-block; 
    border-radius: 100%;
    background-color: #333;
    width: 8px;
    height: 8px;  
    -webkit-animation: sk-bouncedelay 1.4s infinite ease-in-out both;
            animation: sk-bouncedelay 1.4s infinite ease-in-out both;
}

.aiopod-search-loading-animation .aiopod-animation-bounce1 {
    -webkit-animation-delay: -0.32s;
            animation-delay: -0.32s;
}

.aiopod-search-loading-animation .aiopod-animation-bounce2 {
    -webkit-animation-delay: -0.16s;
            animation-delay: -0.16s;
}

@-webkit-keyframes sk-bouncedelay {
    0%,
    80%,
    100% {
        -webkit-transform: scale(0);
    }
    40% {
        -webkit-transform: scale(1);
    }
}

@keyframes sk-bouncedelay {
    0%,
    80%,
    100% {
        -webkit-transform: scale(0);
                transform: scale(0);
    }
    40% {
        -webkit-transform: scale(1);
                transform: scale(1);
    }
}

#aiopod-search-results-wrapper {
    position: absolute; 
    z-index: 9999;
    opacity: 1;  
    margin: 5px 0;
    background: #fff;
    box-shadow: 0 10px 35px 0 rgb( 0 0 0/12% );
    padding: 18px;  
    width: 100%;
    height: auto;
    max-height: 400px;
    overflow-x: hidden;
    overflow-y: auto;  
}

#aiopod-search-no-results-text,
#aiopod-search-helper-text {  
    margin: 0;
    margin-bottom: 0;
    font-weight: 600;
}

ul#aiopod-search-results-list {
    display: flex;
    flex-direction: column;
    gap: 6px;
    margin: 0;
    padding: 0;
    list-style: none;
}

ul#aiopod-search-results-list li {  
    margin: 0;
    border: 0; 
    padding: 0; 
    list-style: none;
}
